package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * FileServerGlobalRestoreVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class FileServerGlobalRestoreVo   {
  @JsonProperty("serverConfig")
  private FileServerOpenApiVo serverConfig;

  @JsonProperty("filePath")
  private String filePath;

  @JsonProperty("skipDevice")
  private Boolean skipDevice;

  public FileServerGlobalRestoreVo serverConfig(FileServerOpenApiVo serverConfig) {
    this.serverConfig = serverConfig;
    return this;
  }

  /**
   * Get serverConfig
   * @return serverConfig
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public FileServerOpenApiVo getServerConfig() {
    return serverConfig;
  }

  public void setServerConfig(FileServerOpenApiVo serverConfig) {
    this.serverConfig = serverConfig;
  }

  public FileServerGlobalRestoreVo filePath(String filePath) {
    this.filePath = filePath;
    return this;
  }

  /**
   * Saving directory path for backup file. Parameter [filePath] should be 1 - 128 ASCII characters.
   * @return filePath
  */
  @ApiModelProperty(required = true, value = "Saving directory path for backup file. Parameter [filePath] should be 1 - 128 ASCII characters.")
  @NotNull


  public String getFilePath() {
    return filePath;
  }

  public void setFilePath(String filePath) {
    this.filePath = filePath;
  }

  public FileServerGlobalRestoreVo skipDevice(Boolean skipDevice) {
    this.skipDevice = skipDevice;
    return this;
  }

  /**
   * Whether skip import devices.
   * @return skipDevice
  */
  @ApiModelProperty(required = true, value = "Whether skip import devices.")
  @NotNull


  public Boolean getSkipDevice() {
    return skipDevice;
  }

  public void setSkipDevice(Boolean skipDevice) {
    this.skipDevice = skipDevice;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FileServerGlobalRestoreVo fileServerGlobalRestoreVo = (FileServerGlobalRestoreVo) o;
    return Objects.equals(this.serverConfig, fileServerGlobalRestoreVo.serverConfig) &&
        Objects.equals(this.filePath, fileServerGlobalRestoreVo.filePath) &&
        Objects.equals(this.skipDevice, fileServerGlobalRestoreVo.skipDevice);
  }

  @Override
  public int hashCode() {
    return Objects.hash(serverConfig, filePath, skipDevice);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FileServerGlobalRestoreVo {\n");
    
    sb.append("    serverConfig: ").append(toIndentedString(serverConfig)).append("\n");
    sb.append("    filePath: ").append(toIndentedString(filePath)).append("\n");
    sb.append("    skipDevice: ").append(toIndentedString(skipDevice)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

